com.sun.jna.platform.win32

## Class WinCrypt.CERT_EXTENSION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_EXTENSION

Direct Known Subclasses:
  WinCrypt.CERT_EXTENSION.ByReference

Enclosing interface:
  WinCrypt

    @Structure.FieldOrder(value={"pszObjId","fCritical","Value"})
    public static class WinCrypt.CERT_EXTENSION
    extends Structure

The CERT_EXTENSION structure contains the extension information for a certificate, Certificate Revocation List (CRL) or Certificate Trust List (CTL).

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CERT_EXTENSION.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`boolean` `fCritical`
`java.lang.String` `pszObjId`
`WinCrypt.DATA_BLOB` `Value`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CERT_EXTENSION()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pszObjId

    public java.lang.String pszObjId

#### fCritical

    public boolean fCritical

#### Value

    public WinCrypt.DATA_BLOB Value

### Constructor Detail

#### CERT_EXTENSION

    public CERT_EXTENSION()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.